<?php
include_once ('core/base.php');
$header = 'Событие';
include_once ('core/head.php');

if($event){

echo '<div class="b">';

echo '<div class="title">Событие "'.$event['name'].'"</div>';

echo '<center><div class="border"><img style="width: 100%; max-width: 336px;" src="/images/events/'.$event['image'].'.png"></div></center>';

if($event['step'] == 1){

$event_end_time = $event['end_time'] - time();

echo '<div class="event"><center>'.$event['text'].'
<div class="only_line"></div>
<font color="#B1B1B1">До конца события:</font> <b>'.tl($event_end_time).'</b></center></div>';

echo '<div class="title">Награды</div>';
echo '<div class="event"><center>
<img src="/images/icons/gold_medal.png"><b>1 место:</b> <img src="/images/icons/gold.png"> <font color="gold">'.n_f($event['1st_gold']).'</font>
<div class="only_line"></div>
<img src="/images/icons/silver_medal.png"><b>2 место:</b> <img src="/images/icons/gold.png"> <font color="gold">'.n_f($event['2nd_gold']).'</font>
<div class="only_line"></div>
<img src="/images/icons/bronze_medal.png"><b>3 место:</b> <img src="/images/icons/gold.png"> <font color="gold">'.n_f($event['3rd_gold']).'</font>
</center></div>';

echo '<div class="title">Подробности</div>';
echo '<div class="event">
- С каждого существа, кроме боссов, с 50% вероятностью, вы будете получать <img src="/images/icons/'.$event['image'].'_token.png"><b>1</b> жетон.<br/>
- Победит тот, кто до конца события, соберёт жетонов больше, чем остальные игроки.
</div>';

}elseif($event['step'] == 2){

echo '<div class="event"><center>Событие <b>"'.$event['name'].'"</b> окончено!</center></div>';

echo '<div class="title">Победители</div>';

$winners_q = $base -> query('SELECT * FROM `users` WHERE `token` > 0 ORDER BY `token` DESC LIMIT 3');
$winners_nr = $winners_q -> num_rows;

echo '<div class="event"><center>';
if($winners_nr > 0){
	$place = 1;
	while($winner = $winners_q -> fetch_assoc()){
		if($place == 1){
			$medal = 'gold';
			$reward_place = '1st';
		}
		if($place == 2){
			$medal = 'silver';
			$reward_place = '2nd';
		}
		if($place == 3){
			$medal = 'bronze';
			$reward_place = '3rd';
		}
		echo '<img src="/images/icons/'.$medal.'_medal.png"><b>'.$place.' место:</b> '.name($winner['id']).'<br/>';
		echo '<font color="#B1B1B1">Собрал</font> <img src="/images/icons/'.$event['image'].'_token.png"><b>'.n_f($winner['token']).'</b> <font color="#B1B1B1">и получает</font> <img src="/images/icons/gold.png"><font color="gold"><b>'.n_f($event[''.$reward_place.'_gold']).'</b></font>';
		if($place != 3) echo '<div class="only_line"></div>';
		$place ++;
	}
}else{
	echo 'Победителей нет...';
}
echo '</center></div>';

}

echo '<a class="btn" href="javascript:history.go(-1)"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

}else{
	header('Location: /');
	exit;
}

include_once ('core/foot.php');
?>